Package org.lwjgl.opengl

# Class NVGeometryProgram4

java.lang.Object
org.lwjgl.opengl.NVGeometryProgram4

public final class NVGeometryProgram4 extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_GEOMETRY_PROGRAM_NV`
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:
`static final int`
`GL_MAX_PROGRAM_OUTPUT_VERTICES_NV`
Accepted by the <pname> parameter of GetProgramivARB:
`static final int`
`GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV`
Accepted by the <pname> parameter of GetProgramivARB:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFramebufferTextureEXT(int target, int attachment, int texture, int level)`
`static void`
`glFramebufferTextureFaceEXT(int target, int attachment, int texture, int level, int face)`
`static void`
`glFramebufferTextureLayerEXT(int target, int attachment, int texture, int level, int layer)`
`static void`
`glProgramVertexLimitNV(int target, int limit)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_GEOMETRY_PROGRAM_NV

public static final int GL_GEOMETRY_PROGRAM_NV
Accepted by the <cap> parameter of Disable, Enable, and IsEnabled, and by the <pname> parameter of GetBooleanv, GetIntegerv, GetFloatv, and GetDoublev:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_OUTPUT_VERTICES_NV

public static final int GL_MAX_PROGRAM_OUTPUT_VERTICES_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

### GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV

public static final int GL_MAX_PROGRAM_TOTAL_OUTPUT_COMPONENTS_NV
Accepted by the <pname> parameter of GetProgramivARB:

See Also:
  - Constant Field Values

## Method Details

### glProgramVertexLimitNV

public static void glProgramVertexLimitNV(int target, int limit)

### glFramebufferTextureEXT

public static void glFramebufferTextureEXT(int target, int attachment, int texture, int level)

### glFramebufferTextureLayerEXT

public static void glFramebufferTextureLayerEXT(int target, int attachment, int texture, int level, int layer)

### glFramebufferTextureFaceEXT

public static void glFramebufferTextureFaceEXT(int target, int attachment, int texture, int level, int face)